// Package netutil provides general-purpose network utility functions.
package netutil

import "net"

// IsIP returns true if the given string is a valid IPv4 or IPv6 address.
func IsIP(input string) bool {
	return net.ParseIP(input) != nil
}
